tvbrowser.ui.settings

## Class BlockedPlugin

- java.lang.Object
- - tvbrowser.ui.settings.BlockedPlugin

-     public final class BlockedPlugin
      extends java.lang.Object

  A class that contains information about a blocked plugin.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockedPlugin(java.lang.String asString)` Creates an instance of a blocked plugin from the given String.
    `BlockedPlugin(Version blockStart, Version blockEnd, java.lang.String pluginId)` Creates an instance of a blocked plugin.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `Version` | `getBlockEnd()`
    `Version` | `getBlockStart()`
    `java.lang.String` | `getPluginId()`
    `(package private) java.lang.String` | `getPropertyString()`
    `int` | `hashCode()`
    `boolean` | `isBlockedVersion(PluginAccess plugin)` (Even if the block start version is higher than 0.0.0.0, the 0.0.0.0 version will always been acknowledged as blocked.)
    `boolean` | `isBlockedVersion(java.lang.String pluginId, Version version)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockedPlugin

          BlockedPlugin(Version blockStart,
                       Version blockEnd,
                       java.lang.String pluginId)

      Creates an instance of a blocked plugin.
      Parameters:
        `blockStart` - The version from which the block begins.
        `blockEnd` - The version to which the block reach.
        `pluginId` - The id of the blocked plugin.

    - #### BlockedPlugin

          BlockedPlugin(java.lang.String asString)

      Creates an instance of a blocked plugin from the given String.
      Parameters:
        `asString` - The String that contains the information about the blocked plugin.

  - ### Method Detail

    - #### isBlockedVersion

          public boolean isBlockedVersion(PluginAccess plugin)

      (Even if the block start version is higher than 0.0.0.0, the 0.0.0.0 version will always been acknowledged as blocked.)
      Parameters:
        `plugin` - The plugin to check.
      Returns:
        `True` if the given plugin is blocked.

    - #### isBlockedVersion

          public boolean isBlockedVersion(java.lang.String pluginId,
                                 Version version)

      Parameters:
        `pluginId` - The id to test.
        `version` - The version to test.
      Returns:
        `True` if the given plugin id version combination is blocked.

    - #### getPropertyString

          java.lang.String getPropertyString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getPluginId

          public java.lang.String getPluginId()

      Returns:
        The id of this blocked plugin.

    - #### getBlockStart

          public Version getBlockStart()

      Returns:
        The block start version.

    - #### getBlockEnd

          public Version getBlockEnd()

      Returns:
        The block end version.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)